{% extends "ipl/base.html" %}
{% load static %}
{% block content %}
<h1>Django Data Project</h1>
<br>
<h3>Our Analysis:</h3>
<ol>
    <li>Plot the number of matches played per year of all the years in IPL.</li>
    <li>Plot a stacked bar chart of matches won of all teams over all the years of IPL.</li>
    <li>For the year 2016 plot the extra runs conceded per team.</li>
    <li>For the year 2015 plot the top economical bowlers.</li>
    <li>Discuss a "Story" you want to tell with the given data. As with part 1, prepare the data structure and plot with matplotlib.</li>
</ol>
<br>
<h3>Django Tasks:</h3>
<ul>
    <li>Use Django Custom Command to import data from csv into database</li>
    <li>Use Django ORM for making queries</li>
    <li>Use 5 routes for creating data, use Redis for caching</li>
    <li>Use 5 routes for using Highcharts to plot data on the frontend</li>
    <li>Use Ansible script to deploy on AWS</li>
</ul>

<h3>Our .csv files:</h3>
<ol>
    <li><a class="text-muted" href="{% static 'ipl/res/csv/matches.csv' %}" target="_blank">matches.csv</a></li>
    <li><a class="text-muted" href="{% static 'ipl/res/csv/deliveries.csv' %}" target="_blank">deliveries.csv</a></li>
</ol>
{% endblock content %}
